@font-face {
    font-family: "Winefood Regular";
    src: url("/fonts/Winefood-Regular.otf") format("opentype");
    font-style: normal;
    font-weight: normal;
}

html, body {

}

body {
    background-size: cover;
    background-position: top;
    background-attachment: fixed;
    background-image: url("/images/background.jpg");
}

main {

}

a{
    color: #a17450;
}

a:hover{
    color: #a17450;
    text-decoration: none;
}

input {
    border: 1px solid #a17450;
    background-color: #fff;
}

input[type=submit] {
    /*height: 30px;*/
    /*padding-left: 20px;*/
    /*padding-right: 20px;*/
    /*border-radius: 3px;*/
    /*transition: background-color .2s linear;*/
}

input[type=submit]:hover {
    background-color: rgb(245, 235, 220);
}

.hidden {
    visibility: hidden;
}

#flash-container {
    position: absolute;
    top: 10px;
    width: 100%;
    justify-content: center;
    display: flex;
    pointer-events: none;
    z-index: 100;
}

#user-menu {
    text-shadow: 1px 1px 3px #000000;
}

#main-container-wrapper {
    display: flex;
    min-height: 100vh;
    background-color: #00000096;
}

.nav-tabs .nav-link{
    border-radius: 0;
}

#show-login-form {
    position: fixed;
    top: 0;
    width: 100%;
    height: 75px;
    line-height: 75px;
    padding: 0 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #000;
}

#show-login-form .logo{
    font-size: 25px;
    color: #fff;
}

#show-login-form .logo img{
    position: relative;
    top: -5px;
    height: 68px;
    margin-right: 20px;
}

#show-login-form a {
    /*text-transform: uppercase;*/
    text-decoration: none;
    font-family: "Winefood Regular", sans-serif;
    padding: 12px 12px 13px 12px;
    margin: 10px;
    border: 2px solid #fff;
    transition-duration: 0.3s;
    font-size: 20px;
    color: #fff;
}

#show-login-form a:hover {
    background-color: #931d2f;
}

.homepage-spacer {
    height: 150px;
}

#login-button-layer a{
    display: block;
    width: max-content;
    text-decoration: none;
    font-family: "Winefood Regular", sans-serif;
    padding: 12px 50px;
    border: 4px solid #fff;
    transition-duration: 0.3s;
    font-size: 28px;
    color: #fff;
    background-color: #931d2f;
    margin: 12% auto 0;
}

#login-button-layer a:hover {
    background-color: #fff;
    color: #2a2a2a;
}

.form-container {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #00000099;
}

.form-container img {
    max-height: 200px;
    margin-top: -50px;
}

.form-container form{
    padding: 23px 50px 35px;
    background-color: rgb(255,255,255);
    border-radius: 4px;
}

.form-container form legend {
    margin-bottom: 18px;
    font-size: 1.2rem;
}

.form-container form label {
    white-space: nowrap;
}

.form-container input[type=text],
.form-container input[type=password]{
    width: 100%;
}

.form-container input[type=submit] {
    float: right;
}

.order-table {
    background-color: rgb(255,255,255,.95);
    /*border-radius: 4px;*/
    padding: 20px;
    box-shadow: 0 5px 5px #ffffff5c;
}

.order-table thead th {
    position: sticky;
    z-index: 100;
    background-color: #e5d8cd;
    border-right: 0 !important;
    border-left: 0 !important;
}

.order-table thead .first-row th{
    top: 0;
    height: 30px;
    line-height: 30px;
    padding-top: 0;
    padding-bottom: 4px;
    border-bottom: 0;
    background-color: #f8f3f0;
}

.order-table thead .second-row th{
    top: 34px;
}

.order-table td, .order-table th {
    vertical-align: middle;
}
.order-table th {
    vertical-align: middle;
    font-weight: bolder;
}

.order-table .title-row {
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
    font-weight: normal;
    color: #fff;
    background-color: #a17450;
    scroll-margin-top: 100px;
}

.order-table img {
    height: 100%;
}

.order-table .ordered-row {
    background-color: rgba(209, 231, 221, 0.59);
}

.order-table .ordered-row .ordered {
    border: 2px solid #0f5132;
}

.order-table .ordered-row .product-name{
    font-weight: bold;
}

.order-table input[type=text],
.order-table input[type=number]{
    width: 100%;
}

.order-table input[type=text]:disabled,
.order-table input[type=number]:disabled{
    background-color: #e3e3e3;
}

.preview-container {
    border: 1px solid #ccc;
}

.nav-tabs a.nav-link {
    color: #fff;
}

.order-table .hidden-week-element {
    visibility: hidden;
    width: 1px;
    height: 1px;
    position: absolute;
}

.products-description {
    margin: 0 auto;
    padding: 20px 100px;
    color: #fff;
    font-weight: 400;
    font-size: 1rem;
    text-align: center;
    text-shadow: 1px 1px 3px #000000;
    background-color: rgba(0, 0, 0, 0.25);
}

.favorite-button {
    cursor: pointer;
    color: #818181;
    font-size: 1.2rem;
}

.favorite-button.checked{
    color: #dfce37;
}

.gallery .item {
    max-width: 330px;
}

.gallery .item a{
    display: flex;
    flex-direction: column;
    overflow: hidden;
    text-decoration: none;
    background-color: #fff;
    height: 100%;
}

.gallery .item a span {
    margin: 4px 10px;
    color: #363636;
}

.gallery .item a span.title {
    max-height: 48px;
    font-size: 16px;
    font-weight: bold;
    overflow: hidden;
    flex-grow: 1;
    word-wrap: break-word;
}

.gallery .item a span.author {
    font-size: 14px;
    margin-bottom: 10px;
    overflow: hidden;
    text-align: right;
}

.gallery .item img {
    border: 10px solid #fff;
    width: 306px;
    height: 306px;
    object-fit: cover;
}
